Package com.sas.lsaf.content.repository

## Class WorkspaceFileInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.WorkspaceFileInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class WorkspaceFileInfo
      extends java.lang.Object
      implements java.io.Serializable

  Provides the latest workspace file information that is related to synchronization state. This information provides the user with details about the file that resides in the workspace, independent of what the user has synchronized to their workspace from the repository.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkspaceFileInfo​(java.lang.String path, java.util.Date lastModifiedDate, long size)` | Initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getLastModifiedDate()` | Gets the date on which the workspace file was last modified.
    `java.lang.String` | `getPath()` | Gets the full path of the workspace file.
    `long` | `getSize()` | Gets the size of the workspace file (in bytes).
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceFileInfo

          public WorkspaceFileInfo​(java.lang.String path,
                                   java.util.Date lastModifiedDate,
                                   long size)

      Initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects.

      Parameters:
        `path` - the full path of the workspace file.
        `lastModifiedDate` - the date on which the workspace file was last modified.
        `size` - the size of the workspace file.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the full path of the workspace file.
      Returns:
        The full path of the workspace file.

    - #### getLastModifiedDate

          public java.util.Date getLastModifiedDate()

      Gets the date on which the workspace file was last modified.
      Returns:
        The date on which the workspace file was last modified.

    - #### getSize

          public long getSize()

      Gets the size of the workspace file (in bytes).
      Returns:
        The size of the workspace file (in bytes).

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`